/* ==============================
   Responsive Media Queries
============================== */

@media (min-width: 768px) {
    .mini-about p {
        max-height: 245px;
    }
    
    .mini-about.about-page p {
        max-height: 122px;
    }

    section .sec-sub-title {
        font-size: 2.2rem;
        font-family: 'HouschkaRoundedAlt-Medium', sans-serif;
    }

    section .sec-sub-text {
        font-size: 1.2rem;
    }
}

/* Large devices */
@media (max-width: 1199.98px) {
    section .sec-title {
        font-size: 2.5rem;
    }
    
    .navbar-nav .nav-link {
        font-size: 18px;
        line-height: 28px;
    }
    
    .aws-solutions .item h3,
    .aws-solutions .item p,
    .aws-focus-solutions .item p,
    .mini-about p,
    .contact-seciton p {
        font-size: 1.3rem;
    }
}

/* Medium devices */
@media (max-width: 991.98px) {
    .navbar {
        padding: 0;
    }

    .navbar .logo {
        height: 38px;
        margin: 10px 0;
    }

    section .sec-title {
        font-size: 2.2rem;
    }
    
    .navbar-nav .nav-link {
        font-size: 16px;
        line-height: 24px;
        margin-top: 0;
        text-align: center;
    }
    
    .hero h1 {
        font-size: 3rem;
        line-height: 4rem;
        margin-bottom: 18px;
    }

    .hero p {
        line-height: 1.5;
    }
    
    .hero #videoToggle {
        height: 60px;
        width: 60px;
        font-size: 28px;
    }
    
    .aws-solutions .item h3 {
        font-size: 1.8rem;
        line-height: 1.8rem;
    }
    
    .aws-solutions .item p,
    .aws-focus-solutions .item p,
    .mini-about p,
    .contact-seciton p {
        font-size: 1.1rem;
    }
    
    .solutions-overview-card-body h5 {
        font-size: 2rem;
        line-height: 2rem;
    }
    
    .solutions-overview-card-body p {
        font-size: 1rem;
    }
    
    .footer-content .f-link,
    .footer-content .address {
        font-size: 1rem;
    }
    
    /* Navbar */
    .navbar-collapse {
        background-color: #000000;
        padding: 20px;
        border-radius: 0 0 10px 10px;
        margin-top: 10px;
    }

    .hero-learn-more a {
        bottom: 28px;
        left: 50%;
        transform: translateX(-50%);
        font-size: 1rem;
        height: 3rem;
        max-height: 3rem;
        line-height: 115%;
        padding: .75rem 2rem;
    }

    .navbar-nav .nav-link.active::after {
        bottom: 0;
        width: 100px;
        margin: auto;
    }

    section .sec-subtitle {
        font-size: 1.3rem;
    }

    .mini-about,
    .aws-solutions,
    .aws-focus-solutions,
    .solutions-overview {
        padding: 80px 0;
    }
}

/* Small devices */
@media (max-width: 767.98px) {
    section .sec-title {
        font-size: 1.8rem;
    }
    
    .hero h1 {
        font-size: 2.5rem;
        line-height: 3.5rem;
    }
    
    .hero-content {
        padding: 20px;
    }
    
    .hero #mini-about {
        height: 50px;
        width: 50px;
        font-size: 24px;
        bottom: 10px;
        left: 10px;
    }

    .hero-img h1 {
        font-size: 2rem;
        margin-bottom: 15px;
    }

    .hero-img p {
        line-height: 1.5;
        font-size: 1.2rem;
    }
    
    .mini-about,
    .aws-solutions,
    .aws-focus-solutions,
    .solutions-overview {
        padding: 65px 0;
    }
    
    .aws-solutions .item {
        margin-bottom: 25px;
    }
    
    .aws-solutions .item .challenge-icon {
        font-size: 2.5rem;
    }
    
    .aws-solutions .item h3 {
        font-size: 1.5rem;
        line-height: 1.5rem;
    }
    
    .aws-solutions .item p,
    .aws-focus-solutions .item p,
    .mini-about p,
    .contact-seciton p {
        font-size: 1rem;
    }
    
    .aws-solutions .btn {
        font-size: 1.2rem;
        padding: .5rem 2rem .5rem 0;
    }
    
    .aws-solutions .btn span {
        height: 45px;
        width: 45px;
    }
    
    .aws-solutions .btn span i {
        font-size: 1.2rem;
    }
    
    /* .solutions-overview .owl-theme .owl-nav {
        position: relative;
        top: 0;
        right: 0;
        text-align: center;
        margin-top: 20px;
    }
    
    .solutions-overview .owl-theme .owl-nav .owl-prev {
        margin-left: 0;
        margin-right: 20px;
    } */

    .solutions-overview .owl-theme .owl-nav {
        top: -67px;
        right: 40px;
        transform: scale(0.7);
    }
    
    .solutions-overview-card img {
        height: 220px;
    }
    
    .solutions-overview-card-body {
        min-height: auto;
    }
    
    .solutions-overview-card-body h5 {
        font-size: 1.6rem;
        line-height: 1.6rem;
    }

    .contact-form-container h2 {
        font-size: 2rem;
    }
    
    .footer-content .f-logo {
        max-width: 150px;
    }
    
    .footer-content .p-logo {
        max-width: 180px;
        margin-top: 15px;
    }
    
    .footer-content h5 {
        margin-top: 25px;
        margin-bottom: 10px;
    }

    section .sec-sub-title {
        font-size: 1.4rem;
        font-family: 'HouschkaRoundedAlt-Medium', sans-serif;
    }

    section .sec-sub-text {
        font-size: 1rem;
    }

    .footer-content .cta-section {
        margin-top: 25px;
        flex-direction: row;
        justify-content: center;
    }
    
    .footer-content .cta-btn {
        width: 100%;
    }
    
    .contact-seciton .btn {
        font-size: 1rem;
        padding: 0.6rem 1.8rem;
    }

    .privacy-contact-section {
        font-size: 1rem;
    }

    .about-page.cards .card-title {
        font-size: 1.2rem;
    }

    .services-page.cloud .card-title {
        font-size: 1.5rem;
    }

    .services-page ul li {
        line-height: 1.5;
        font-size: 1.1rem;
    }

    .services-page.cloud .icon {
        margin-bottom: 15px;
    }

    .services-page.cloud .icon i {
        font-size: 28px;
    }

    .services-page.cybersecurity .cybersecurity-items .item-title {
        font-size: 1.2rem;
        line-height: 1.8rem;
    }

    .services-page.cybersecurity .cybersecurity-items .item-text {
        font-size: 1.1rem;
    }

    .services-page.cybersecurity .cybersecurity-items i {
        font-size: 22px;
    }

    .services-page.cybersecurity .cybersecurity-items .flex-shrink-0 {
        width: 30px;
    }

    .services-page .cyber-sticky {
        text-align: center;
    }

    .solutions-page .card .card-title {
        font-size: 1.4rem;
    }

    .solutions-page .card .card-text {
        font-size: 1.3rem;
    }

    .solutions-page .card i {
        font-size: 22px !important;
        margin-bottom: 16px !important;
    }

    .partners-seciton img {
        height: 32px;
    }

    .service-list li {
        font-size: 1.2rem !important;
    }

    .focus-area-card h3 {
        font-size: 1.2rem !important;
    }

    .focus-area-icon {
        font-size: 2rem !important;
        margin-bottom: 0.5rem !important;
    }
}

/* Extra small devices */
@media (max-width: 575.98px) {
    section .sec-title {
        font-size: 1.6rem;
        margin-bottom: 15px;
        font-weight: 600;
    }
    
    .hero h1 {
        font-size: 2rem;
        line-height: 2.6rem;
    }

    .hero p {
        line-height: 1.4;
        font-size: 1.5rem;
    }
    
    .aws-solutions .item {
        margin-bottom: 20px;
    }
    
    .aws-solutions .item .challenge-icon {
        font-size: 2rem;
    }
    
    .aws-solutions .item h3 {
        font-size: 1.3rem;
        line-height: 1.3rem;
    }
    
    .aws-solutions .item p,
    .aws-focus-solutions .item p,
    .mini-about p,
    .contact-seciton p {
        font-size: 0.9rem;
    }
    
    .aws-solutions .btn {
        font-size: 1rem;
    }
    
    .aws-solutions .btn span {
        height: 40px;
        width: 40px;
    }
    
    .aws-solutions .btn span i {
        font-size: 1rem;
    }
    
    .solutions-overview-card img {
        height: 180px;
    }
    
    .solutions-overview-card-body h5 {
        font-size: 1.4rem;
        line-height: 1.4rem;
    }
    
    .solutions-overview-card-body p {
        font-size: 0.9rem;
    }
    
    .read-more {
        font-size: 1rem;
    }

    .footer-content {
        text-align: center;
    }

    .footer-content .p-logo {
        margin-left: auto;
        margin-right: auto;
    }
    
    .footer-content .social-icons {
        justify-content: center;
    }

    .footer-content .cta-btn {
        padding: 0.6rem 1rem;
        font-size: 0.8rem;
    }
    
    .footer-content .social-btn {
        width: 32px;
        height: 32px;
    }
    
    .footer-content .footer-bottom p {
        font-size: 0.9rem;
    }

    .footer-content .cta-section {
        flex-direction: column;
    }

    .partners-seciton {
        padding: 2rem 0;
    }

    .mini-about,
    .aws-solutions,
    .aws-focus-solutions,
    .solutions-overview {
        padding: 50px 0;
    }
}

/* Very small devices */
@media (max-width: 375px) {
    
    /* .hero {
        height: 50vh;
    } */
    
    .aws-solutions .item h3 {
        font-size: 1.2rem;
    }
    
    .solutions-overview-card-body h5 {
        font-size: 1.2rem;
        line-height: 1.2rem;
    }
    
    .contact-seciton p {
        font-size: 0.85rem;
    }
}